pipeline{
agent any
	stages{
	
  stage('SonarQube Analysis') {
    def scannerHome = tool 'SonarScanner';
    withSonarQubeEnv() {
      sh "${scannerHome}/bin/sonar-scanner"
    }
  }

		stage('Cloning the project'){
			steps{
		git 'https://gitlab.com/divya.duddukuri/jenkins-angular.git'
		}
		}
		stage('Build'){
		    steps{
	    	    sh "npm install"
	    	     sh "sudo ng build --output-path=dist/prod --configuration production"
			}
        	post{
            	failure{
            	    mail to: 'divya.duddukuri@techigai.io',
                         subject: "Failed Pipeline: ${currentBuild.fullDisplayName}",
                         body: "Something is wrong with ${env.BUILD_URL}"
            	}	
        	}
    	}
		stage('Deploy'){
			steps{
			sh "scp -r -i /home/ubuntu/devops-training.pem dist/prod ubuntu@3.15.227.82:/home/ubuntu/angular"
			}
		}
	}
}
